
import aiohttp
import asyncio
import random

def fetch_random_user(user_id):
    async def fetch(session):
        url = f'https://randomuser.me/api/?id={user_id}'
        async with session.get(url) as response:
            return await response.json()

    async def main():
        async with aiohttp.ClientSession() as session:
            data = await fetch(session)
            return data

    return asyncio.run(main())




